%define module_name	stk11xx
%define module_version	1.1.00
%define module_release	alt1.132628.8

%define kversion	2.6.18
%define krelease	alt8
%define flavour		std-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: stk11xx USB camera driver
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://mxhaard.free.fr
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
The syntek USB 2.0 video camera driver for DC-1125 ans STK-1135 is currently being developed
on Linux. This driver can do damages. Use this driver only if you know what you are doing.


%prep
rm -rf kernel-source-%module_name-%module_version
mkdir kernel-source-%module_name-%module_version
cd kernel-source-%module_name-%module_version
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version


%build
%make_build -C %_usrsrc/linux-%kversion-%flavour modules SUBDIRS=`pwd`

%install
install -d %buildroot%module_dir
install -p -m644 stk11xx.ko %buildroot%module_dir

install -d %buildroot%_docdir/%name-%version-%release

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc README  

%changelog
* Thu Nov 01 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.00-alt1.132628.8
- First build for ALT Linux.
 

